<?php
/**
 * @uri /AvailableServers
 */
class AvailableServersResource extends Resource {

	function post($request){
		return $this->get($request);
	}
	
	function get($request){
		$error = null;		
		parse_str($request->data, &$data);		
		$handle = fopen('../config/rest_servers.conf', "r");
		$servers= array();	
		if($handle) {
			while (!feof ($handle)) {
				$line = fgets($handle,1024);
				if($line == null)
					continue;
				list($id, $name, $description, $url, $context, $status) = explode(";",$line);
				$servers[] = array(
						'serverID' => $id,
						'serverName' => $name,
						'serverDescription' => utf8_encode($description),
						'serverUrl' => $url,
						'serverContext' => $context,
						'serverStatus' => ($status ? "1" : "0")
				);
			}
			fclose($handle);
		}
		else{
			$error = array("code" => "001", "message" => "The servers list was not found.");
		}

		function cmp($a, $b)
		{
			return strcmp(strtolower($a["serverName"]), strtolower($b["serverName"]));
		}
	
		if(count($servers) > 0){
			usort($servers, "cmp");
		}

		$response = new Response($request);
		$response->code = Response::OK;
		$response->addHeader('content-type', 'application/json');
				
		$body = array();
		
		if($data['id']){
			$body['id'] = $data['id']; 
		}
		if($servers){
			$body['result'] = array( "servers" => $servers);
		}
		elseif($error){
			$body['error'] = $error;
		}
		else{
			$body['error'] = "OBJETO SEM RESULT E SEM ERRO REPORTADO.";
		}
						
		$response->body = json_encode($body);
			
		return $response;
	}		

}